#include <libint2.h>
#include <HRRPart0bra0ket0dd.h>
#include <HRRPart0bra0ket0df.h>
#include <HRRPart0bra0ket0dg.h>
#include <HRRPart0bra0ket0dh.h>
#include <HRRPart0bra0ket0dp.h>
#include <HRRPart0bra0ket0fd.h>
#include <HRRPart0bra0ket0ff.h>
#include <HRRPart0bra0ket0fg.h>
#include <HRRPart0bra0ket0fp.h>
#include <HRRPart0bra0ket0gd.h>
#include <HRRPart0bra0ket0gf.h>
#include <HRRPart0bra0ket0gp.h>
#include <HRRPart0bra0ket0hd.h>
#include <HRRPart0bra0ket0hp.h>
#include <HRRPart0bra0ket0ip.h>
#include <HRRPart0bra0ket0pd.h>
#include <HRRPart0bra0ket0pf.h>
#include <HRRPart0bra0ket0pg.h>
#include <HRRPart0bra0ket0ph.h>
#include <HRRPart0bra0ket0pi.h>
#include <HRRPart0bra0ket0pp.h>
#include <_elecpot_P_I_prereq.h>

#ifdef __cplusplus
extern "C" {
#endif
void _elecpot_P_I(const Libint_t* inteval) {

_libint2_static_api_bzero_short_(inteval->stack+0*1,119)
const int contrdepth = inteval->contrdepth;
#ifdef __INTEL_COMPILER
#pragma ivdep
#endif
for(int c = 0; c<contrdepth; c++) {
_elecpot_P_I_prereq(inteval+c, inteval->stack);
}

LIBINT2_REALTYPE*const  stack = inteval->stack;
{
const int hsi = 0;
{
const int lsi = 0;
{
const int vi = 0;
HRRPart0bra0ket0dp(inteval, &(inteval->stack[((hsi*18+203)*1+lsi)*1]), &(inteval->stack[((hsi*10+100)*1+lsi)*1]), &(inteval->stack[((hsi*6+110)*1+lsi)*1]),1);
HRRPart0bra0ket0fp(inteval, &(inteval->stack[((hsi*30+221)*1+lsi)*1]), &(inteval->stack[((hsi*15+85)*1+lsi)*1]), &(inteval->stack[((hsi*10+100)*1+lsi)*1]),1);
HRRPart0bra0ket0dd(inteval, &(inteval->stack[((hsi*36+251)*1+lsi)*1]), &(inteval->stack[((hsi*30+221)*1+lsi)*1]), &(inteval->stack[((hsi*18+203)*1+lsi)*1]),1);
HRRPart0bra0ket0gp(inteval, &(inteval->stack[((hsi*45+287)*1+lsi)*1]), &(inteval->stack[((hsi*21+64)*1+lsi)*1]), &(inteval->stack[((hsi*15+85)*1+lsi)*1]),1);
HRRPart0bra0ket0fd(inteval, &(inteval->stack[((hsi*60+332)*1+lsi)*1]), &(inteval->stack[((hsi*45+287)*1+lsi)*1]), &(inteval->stack[((hsi*30+221)*1+lsi)*1]),1);
HRRPart0bra0ket0df(inteval, &(inteval->stack[((hsi*60+392)*1+lsi)*1]), &(inteval->stack[((hsi*60+332)*1+lsi)*1]), &(inteval->stack[((hsi*36+251)*1+lsi)*1]),1);
HRRPart0bra0ket0hp(inteval, &(inteval->stack[((hsi*63+452)*1+lsi)*1]), &(inteval->stack[((hsi*28+36)*1+lsi)*1]), &(inteval->stack[((hsi*21+64)*1+lsi)*1]),1);
HRRPart0bra0ket0gd(inteval, &(inteval->stack[((hsi*90+515)*1+lsi)*1]), &(inteval->stack[((hsi*63+452)*1+lsi)*1]), &(inteval->stack[((hsi*45+287)*1+lsi)*1]),1);
HRRPart0bra0ket0ff(inteval, &(inteval->stack[((hsi*100+605)*1+lsi)*1]), &(inteval->stack[((hsi*90+515)*1+lsi)*1]), &(inteval->stack[((hsi*60+332)*1+lsi)*1]),1);
HRRPart0bra0ket0dg(inteval, &(inteval->stack[((hsi*90+287)*1+lsi)*1]), &(inteval->stack[((hsi*100+605)*1+lsi)*1]), &(inteval->stack[((hsi*60+392)*1+lsi)*1]),1);
HRRPart0bra0ket0pp(inteval, &(inteval->stack[((hsi*9+64)*1+lsi)*1]), &(inteval->stack[((hsi*6+110)*1+lsi)*1]), &(inteval->stack[((hsi*3+116)*1+lsi)*1]),1);
HRRPart0bra0ket0pd(inteval, &(inteval->stack[((hsi*18+73)*1+lsi)*1]), &(inteval->stack[((hsi*18+203)*1+lsi)*1]), &(inteval->stack[((hsi*9+64)*1+lsi)*1]),1);
HRRPart0bra0ket0pf(inteval, &(inteval->stack[((hsi*30+203)*1+lsi)*1]), &(inteval->stack[((hsi*36+251)*1+lsi)*1]), &(inteval->stack[((hsi*18+73)*1+lsi)*1]),1);
HRRPart0bra0ket0pg(inteval, &(inteval->stack[((hsi*45+64)*1+lsi)*1]), &(inteval->stack[((hsi*60+392)*1+lsi)*1]), &(inteval->stack[((hsi*30+203)*1+lsi)*1]),1);
HRRPart0bra0ket0ph(inteval, &(inteval->stack[((hsi*63+203)*1+lsi)*1]), &(inteval->stack[((hsi*90+287)*1+lsi)*1]), &(inteval->stack[((hsi*45+64)*1+lsi)*1]),1);
HRRPart0bra0ket0ip(inteval, &(inteval->stack[((hsi*84+705)*1+lsi)*1]), &(inteval->stack[((hsi*36+0)*1+lsi)*1]), &(inteval->stack[((hsi*28+36)*1+lsi)*1]),1);
HRRPart0bra0ket0hd(inteval, &(inteval->stack[((hsi*126+789)*1+lsi)*1]), &(inteval->stack[((hsi*84+705)*1+lsi)*1]), &(inteval->stack[((hsi*63+452)*1+lsi)*1]),1);
HRRPart0bra0ket0gf(inteval, &(inteval->stack[((hsi*150+915)*1+lsi)*1]), &(inteval->stack[((hsi*126+789)*1+lsi)*1]), &(inteval->stack[((hsi*90+515)*1+lsi)*1]),1);
HRRPart0bra0ket0fg(inteval, &(inteval->stack[((hsi*150+377)*1+lsi)*1]), &(inteval->stack[((hsi*150+915)*1+lsi)*1]), &(inteval->stack[((hsi*100+605)*1+lsi)*1]),1);
HRRPart0bra0ket0dh(inteval, &(inteval->stack[((hsi*126+527)*1+lsi)*1]), &(inteval->stack[((hsi*150+377)*1+lsi)*1]), &(inteval->stack[((hsi*90+287)*1+lsi)*1]),1);
HRRPart0bra0ket0pi(inteval, &(inteval->stack[((hsi*84+119)*1+lsi)*1]), &(inteval->stack[((hsi*126+527)*1+lsi)*1]), &(inteval->stack[((hsi*63+203)*1+lsi)*1]),1);
}
}
}
const int hsi = 0;
const int lsi = 0;
const int vi = 0;
inteval->targets[0] = &(inteval->stack[((hsi*84+119)*1+lsi)*1]);
/** Number of flops = 0 */
}

#ifdef __cplusplus
};
#endif
